Subject: Re: bug#20440: reproducible recipe

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Sep 2015 12:19:28 +0300

> Date: Fri, 11 Sep 2015 17:57:32 +0900
> From: Sho Takemori <[email-masked]>
> Cc: [email-masked]
> 
> > Is this a real buffer corruption, or just the display corruption?
> 
> It is a real buffer corruption. I made the second gist by C-x h, M-w and
> pasting it to the browser.
> If I change the size of the frame or the window configuration, I still have a
> corrupted buffer.
> 
> > Also, how do you invoke Emacs to reproduce the problem?
> 
> By evaluating the code in the first gist.
> 
> I use emacs-jedi (https://github.com/tkf/emacs-jedi). So does the original
> reporter.
> Since the problem occurs frequently, I can find strings file-content1 and
> file-content2 in the first gist.
> As for the function my/add-to-after-change-functions, I looked into the source
> of emacs-jedi and wrote a similar code.
> 
> > Finally, does the problem go away if you set your locale to something
> > else, like en_US.UTF-8?
> 
> No. I can also reproduce it in the live session of Xubuntu 14.04, where
> LANG=en_US.UTF-8.
> Here is the output of M-x report-emacs-bug in Emacs 24.3 in the live session.

OK, I've managed to reproduce this in Emacs 24.5 on GNU/Linux.  But
the problem doesn't exist with the current development sources on the
same system, so I guess whatever caused this has been already fixed
since 24.5 was released.

I think we can close this bug.

Thanks.